| Home | Libraries | People | FAQ | More

###### value::as_string (1 of 3 overloads)

Return a reference to the underlying `string`, or throw an exception.

###### Synopsis

    string&
    as_string();

###### Description

If `is_string()` is `true`, returns a reference to the underlying `string`, otherwise throws an exception.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `! this->is_string()`